Bug 132724 - Dependent cells sometimes do not get recalculated
Dependent cells sometimes do not get recalculated
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 07:26 EDT by Petr Tuma
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 05:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Tuma 2004-09-16 07:26:05 EDT
Description of problem:

Dependent cells in OpenCalc sometimes do not get recalculated if their
source cells change.

Version-Release number of selected component (if applicable):

1.1.2-3

How reproducible:

100% of the time

Steps to Reproduce:
1. Launch OpenCalc, enter =SUM(A1:A10) into B1.
2. Cell at a time, write a number 1 into A1 through A10.
3. Observe how B1 does not change as it should.
  
Additional info:

I have been debating this bug with OpenOffice folks and they suggested
it might be compiler flags issue when building the package. The older
version of OpenOffice package from Fedora Core 3 Beta 1 does not have
this bug.
Comment 1 Dan Williams 2004-09-16 09:22:15 EDT
It most likely is a compiler issue, OOo is _not_ happy with -Os.  The
next Fedora release will have that patch removed.
Comment 2 Caolan McNamara 2004-09-30 05:00:11 EDT
Can you try again in OpenOffice.org 1.1.2-6 where it seems all fine again
Comment 3 Petr Tuma 2004-09-30 05:07:15 EDT
Appears fixed in 1.1.2-6.

Note You need to log in before you can comment on or make changes to this bug.